import { jsx } from "react/jsx-runtime";
import { TokenPLEX as TokenPLEX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPLEX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "PLEX", "data-name": "TokenPLEX", ...props, children: /* @__PURE__ */ jsx(TokenPLEX$1, { variant }) });
  }
);
TokenPLEX.displayName = "TokenPLEX";
Object.assign(TokenPLEX, { isGdsIcon: true });
export {
  TokenPLEX
};
